language: vi
pipeline:
- name: SpacyNLP
  model: en_core_web_md
- name: SpacyTokenizer
- name: SpacyFeaturizer
- name: src.core.nlu.featurizers.regex_featurizer.RegexFeaturizer
- name: src.core.nlu.extractors.regex_entity_extractor.RegexEntityExtractor
  case_sensitive: False
  use_lookup_tables: True
  use_regexes: True
  use_word_boundaries: True
- name: src.core.nlu.featurizers.count_vectors_featurizer.CountVectorsFeaturizer
  analyzer: char_wb
  min_ngram: 1
  max_ngram: 4
- name: src.core.nlu.classifiers.diet_classifier.DIETClassifier
  BILOU_flag: false
  epochs: 80
  batch_size: [ 64,128 ]
  entity_recognition: False
  tensorboard_log_directory: resources/logs
  tensorboard_log_level: "epoch"
  learning_rate: 0.0001
  random_seed: 666
  scale_loss: True
  constrain_similarities: True
policies:
- name: src.core.policies.graph_policy.GraphPolicy
  confidence_threshold: 0.5
  confidence_threshold_short_message: 0.7
  fixed_intents: 
  - flow_appetizer
  - flow_main
  - flow_chicken
  - flow_steak
  - flow_dessert
  - flow_done
  fallback_intents:
  - intent_fallback
  - intent_fallback_again
  break_fallback_again: true
